aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Singleton <matt@xcolour.net>2021-04-28 09:15:48 -0500
committerMatt Singleton <matt@xcolour.net>2021-04-28 09:15:48 -0500
commit774c0906676c70b64db91d4d87fb6bf9983cf43d (patch)
tree750a1cd3cfca227f6d1ef074fa42670fde8a79b4
parentdd76be0e82d492b14dbc0a8e5dcf2a2f251c043a (diff)
cleaning some lint out of the deploy script
-rwxr-xr-xdeploy.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/deploy.sh b/deploy.sh
index 114dc09..7d4f3ac 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-set -e
+set -euv pipefail
# clean out old backups
rm -rf dotfiles-backup
@@ -29,10 +29,10 @@ cd ..
cd home
for f in *
do
- if [ -e ~/.${f} ]; then
- mv ~/.${f} ../dotfiles-backup/${f}
+ if [ -e "$HOME/.${f}" ]; then
+ mv "$HOME/.${f}" "../dotfiles-backup/${f}"
fi
- ln -sf "$(pwd)/${f}" ~/.${f}
+ ln -sf "$(pwd)/${f}" "$HOME/.${f}"
done
cd ..